# Standard_ExtString.hxx File Reference

`#include <Standard_TypeDef.hxx>`

## Functions

__Standard_API Handle_Standard_Type & | Standard_ExtString_Type_ ()
Standard_ExtString | ShallowCopy (const Standard_ExtString Value)
__Standard_API Standard_Integer | HashCode (const Standard_ExtString, const Standard_Integer)
Standard_Boolean | IsSimilar (const Standard_ExtString One, const Standard_ExtString Two)
Standard_Boolean | IsEqual (const Standard_ExtString One, const Standard_ExtString Two)

## Function Documentation

__Standard_API Standard_Integer HashCode | ( | const | Standard_ExtString,
|  | const | Standard_Integer
| ) |

Standard_Boolean IsEqual | ( | const Standard_ExtString | One,
|  | const Standard_ExtString | Two
| ) | `[inline]`

Standard_Boolean IsSimilar | ( | const Standard_ExtString | One,
|  | const Standard_ExtString | Two
| ) | `[inline]`

Standard_ExtString ShallowCopy | ( | const Standard_ExtString | Value | ) | `[inline]`

class __Standard_API Handle_Standard_Type& Standard_ExtString_Type_ | ( |  | ) |